## expeyes 4.8.7+repack

=== debian/changelog ===
expeyes (4.8.7+repack-4) unstable; urgency=medium

  * defined a conflict between packages eyes17 and older python-expeyes

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 10 Dec 2020 16:45:11 +0100

expeyes (4.8.7+repack-3) unstable; urgency=medium

  * downgraded dependencies on avr-libc and avrdude to recommendations,
    for package microhope. Maybe so the package expeyes would no longer be
    marked for autoremoval?

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 28 Aug 2020 12:35:38 +0200

expeyes (4.8.7+repack-2) unstable; urgency=medium

  * patched the Makefile to verify whether Makefiles exist
    before calling their make targets, to prevent FTBFS on architecture
    "all"

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Aug 2020 16:31:46 +0200

expeyes (4.8.7+repack-1) unstable; urgency=medium

  * added a dependency microhope --> python3-serial
  * New upstream version 4.8.7+repack: improved initialization of
    the local microhope directory, management of a configuration file.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 16:54:02 +0200

expeyes (4.8.6+repack-1) experimental; urgency=medium

  * New upstream version 4.8.6+repack
  * new binaries for microhope, which do no longer use libgtk2;
    removed the build-dependency on that library;
    added a build-dependency on wxglade;
    set "Architecture: all" for package microhope;
    #Closes: #967332
  * modification of the path to microhope's local directory:
    ~/microhope --> ~/.local/share/microhope
  * html files in eyesjunior/helphiles are now pre-built

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 20 Aug 2020 16:00:36 +0200

expeyes (4.8.4+repack-3) unstable; urgency=medium

  * replaced "Suggests: phoenix-firmware" by "Suggests: firm-phoenix-ware"
    the reason is documented inside a discussion archived int the mailing list
    debian-live@lists.debian.org, near mid-August.
  * dropped the build-dependency on *avr*, since the firmware is no longer
    issued from this source package

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 Aug 2020 19:09:37 +0200

expeyes (4.8.4+repack-2) unstable; urgency=medium

  * it was necessary to make a source-only upload, while the package which
    removes on binary package from its control file was supposed to enter
    the NEW queue

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 10 Aug 2020 23:49:14 +0200

expeyes (4.8.4+repack-1) unstable; urgency=medium

  * new upstream release: provides pre-build html help files
  * cancelled the binary package expeyes-firmware-dev, now suggestions go
    to the new package phoenix-firmware which is in Debian's archive

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Aug 2020 14:47:52 +0200

expeyes (4.8.1+repack-2) unstable; urgency=medium

  * fixed missing file in d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 Jul 2020 16:53:00 +0200

expeyes (4.8.1+repack-1) unstable; urgency=medium

  * New upstream version 4.8.1+repack; provides a better management of
    screen shots for eyes17.
  * new files installed for microhope
  * defined a build-dependency on debhelper-compat (=12), removed d/compat
  * bumped Standards-Version: 4.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 Jul 2020 16:15:15 +0200

expeyes (4.8.0+repack-1) unstable; urgency=medium

  * New upstream version 4.8.0+repack; adds new features:
    - better export for screenshots
    - screenshots can be exported via a network socket
    - an extension for libreoffice is provided
  * Added one line in d/eyes17.install to create the LibreOffice
    extension at root level.
  * Added Recommends: libreoffice for the package eyes17
  * fixed a bug in eyes17/server.py
  * added a line in d/eyes17.install to take in account eyes17/server.html

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Jul 2020 15:43:35 +0200

expeyes (4.7.9+repack-1) unstable; urgency=medium

  * New upstream version 4.7.9+repack
  * remoed the unnecessary debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 May 2020 20:01:43 +0200

expeyes (4.7.8+repack-1) unstable; urgency=medium

  * New upstream version 4.7.8+repack
  * consider an absolute path to lang/status.txt
  * added lang/status.txt to d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 07 May 2020 16:52:15 +0200

expeyes (4.7.7+repack-1) unstable; urgency=medium

  * New upstream version 4.7.7+repack
  * __pycache__ directories are cleaned after the build.
    Closes: #955675
  * New feature : printable screenshots generated automatically; modified
    d/eyes17.install to include the new module
  * The credits help file is no longer missing

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Apr 2020 16:09:19 +0200

expeyes (4.7.6+repack-1) unstable; urgency=medium

  * added a conflicts clause from eyes17 to eyes17 (<< 4.5.8+dfsg-2)
  * New upstream version 4.7.6+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Mar 2020 15:45:42 +0200

expeyes (4.7.5+repack-1) unstable; urgency=medium

  * New upstream version 4.7.5+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Mar 2020 18:27:47 +0100

expeyes (4.7.4+repack-1) UNRELEASED; urgency=medium

  * New upstream version 4.7.4
  * modified the system to exclude files from the source package
  * added build directories to excludes
  * removed one line, so Files-Ecluded comes first
  * specified another format for d/copyright
  * fixed two excludes
  * attributed some transations to their authors

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Mar 2020 14:48:15 +0100

expeyes (4.7.2-2) unstable; urgency=medium

  * added missing dependencies eyes17 -> python3-serial and
    python3-pyqt5.qtsvg; thanks, Ajith Kumar, for raising the bug.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Mar 2020 17:39:29 +0100

expeyes (4.7.2-1) unstable; urgency=medium

  * New upstream version: improved debian/rules



=== debian/control ===
Source: expeyes
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (=12),
 python3-all,
 dh-python,
 python3-docutils,
 pkg-config,
 wxglade,
 x11proto-randr-dev (>= 1.5.0),
 pyqt5-dev-tools,
 qttools5-dev-tools,
 qt5-qmake
Standards-Version: 4.5.0
Homepage: http://expeyes.in/
Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git

Package: expeyes
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-expeyes (= ${source:Version}),
 python3-pil.imagetk,
 tix,  python3-tk, udev
Recommends: python3-numpy, python3-scipy,
 expeyes-web, qtiplot, python3-pygrace(>=0.5),
 expeyes-doc-en|expeyes-doc
Suggests: firm-phoenix-ware
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: eyes17
Architecture: all
Depends: python3,
 ${misc:Depends},
 ${python3:Depends},
 python3-pyqtgraph,
 python3-pyqt5,
 python3-pyqt5.qtwebkit,
 python3-numpy,
 python3-scipy,
 python3-pyqt5.qtwebengine,
 python3-pyqt5.qtsvg,
 python3-serial
Recommends: fonts-lohit-mlym,
 libreoffice
Conflicts: modemmanager,
 python3-expeyes (<< 4.5.8+dfsg-2),
 python-expeyes (<< 4.5.8+dfsg-2),
 eyes17 (<< 4.5.8+dfsg-2)
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.


Package: libej0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides a library usable to drive an expEYES box, and is
 necessary to run clib-based software which addresses this box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: libej-dev
Architecture: any
Depends: ${misc:Depends},
 libej0 (>= ${source:Version}), libej0 (<< ${source:Version}.1~)
Section: libdevel
Description: hardware & software framework for developing science experiments
 This package provides headers and links to develop software in C language
 addressing an expEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: expeyes-clib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libej0
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides interfaces written in C language for making
 science experiments with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. This package provides approximately
 the same features than the package expeyes, but its sources are in C language.

Package: python3-expeyes
Section: python
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-scipy, python3-serial (>= 2.6), udev
Conflicts: modemmanager,
 python-expeyes, python3-expeyes (<< 4.3)
Replaces: python-expeyes
Description: Python3 library for expeyes
 This package provides low level interfaces for making science experiments
 with an ExpEYES box. The library allows one to develop new programs easily
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-web
Section: web
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-expeyes, libjs-jquery, libjs-bootstrap
Description: Web interface for expEYES-Junior
 This package allows you to access remotely to a server which drives an
 expEYES-Jr box. This extends the power of expEYES.

Package: microhope
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 gnome-icon-theme,
 python3-wxgtk4.0,
 python3-serial
Recommends: gnome-human-icon-theme,
 avr-libc,
 avrdude
Suggests: firm-phoenix-ware
Conflicts: modemmanager, microhope-dbgsym(<<4.6.0-3)
Description: hardware & software framework to learn microcontrollers
 This package provides a set of example programs to drive an ATmega32
 microcontroller, together with a tutorqial explaining how to compile
 them, upload them to the microcontroller, and how to make simple and
 more complicated modifications. It is meant to be used with the
 "microhope" board which makes it easy to upload code to the microcontroller
 through a USB link.
 .
 In addition to examples there is a library to drive all of the peripherals
 available on the "microhope" board: LED, LCD display, ADC connected to
 sensors.
 .
 A Graphic User Interface is provided too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless

LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib
export DEB_BUILD_HARDENING=1
#export CPPFLAGS="-Wdate-time -D_FORTIFY_SOURCE=2"

export QT_SELECT := 5

%:
	dh $@ --with python3

HOME = $(CURDIR)/debian/build
override_dh_auto_build-arch:
	mkdir $(CURDIR)/debian/build
	$(MAKE) all_arch HOME=$(HOME)
	rm -rf $(CURDIR)/debian/build

override_dh_auto_build-indep:
	$(MAKE) all_indep

override_dh_auto_clean:
	dh_auto_clean
	# the clean process compiles a few Python scripts
	find . -name __pycache__ | xargs rm -rf
	rm -rf $(HOME)

DocDir = $(CURDIR)/debian/eyes17/usr/share/expeyes/doc
DocDirSource = $(CURDIR)/ExpEYES17/UserManual

override_dh_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	find $(CURDIR)/debian/tmp -name "*.pdf" -exec chmod -x {} \;
	dh_install
	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
	# remove python files from helpFiles subdirectory
	for d in $$(find $(CURDIR)/debian -type d -name helpFiles); do \
	  for f in $$(find $$d -name '*.py'); do \
	    rm -f $$f; \
	  done; \
	done

## expeyes 4.8.8%2Brepack

=== microhope/uhope/po/Makefile ===
DESTDIR = 

SRCFILES = $(shell ls ../*.py)
POFILES = $(shell ls *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG    = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

$(POFILES): messages.pot

%.mo: %.po
	msgfmt $< -o $@

messages.pot: $(SRCFILES)
	if [ -f $@ ]; then \
	  xgettext --keyword=N_ --keyword=_ -o $@ $(SRCFILES) --join-existing; \
	else \
	  xgettext --keyword=N_ --keyword=_ -o $@ $(SRCFILES); \
	fi

clean:
	rm -f *~ *.mo

$(POFILES): messages.pot
	msgmerge --update --previous $@ $<

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/uhope.mo; \
	done

.PHONY: all install clean

=== debian/changelog ===
expeyes (4.8.8+repack-2) unstable; urgency=medium

  * removed clauses conflicting with modemmanager. Closes: #990489
  * replaced calls to "service" by calls to "invoke-rc.d", thanks to
    Andreas Beckman's hint.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 01 Jul 2021 10:50:55 +0200

expeyes (4.8.8+repack-1) unstable; urgency=medium

  * new upstream changes
  * removed stale symlinks
  * restored documentation files in the upstream archive
  * made the clean target less agressive

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Apr 2021 15:39:18 +0200

expeyes (4.8.7+repack-5) unstable; urgency=medium

  * included Camaleón's translation for po-debconf files, thanks!
    Closes: #987479
  * added a command in d/rules to remove broken symlinks. Closes: #986480
  * removed python doctrees and .gitignore files from the package
    (warned by lintian)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Apr 2021 18:41:30 +0200

## expeyes 4.8.8+repack

=== Makefile ===
DESTDIR =
SUBDIRS = bin po clib/expeyes-clib
SUBDIRS_INDEP = expeyes-web \
		microhope microhope/po microhope/microhope-doc \
		eyes17 eyes17/lang eyes17/layouts eyes17/helpFiles \
		eyesjunior/lang eyesjunior/layouts eyesjunior/helpFiles

all: all_arch all_indep all_firmware

all_arch:
	python3 setup.py build
	for d in $(SUBDIRS); do \
	  if [ -f $$d/configure.ac ]; then \
	    (cd $$d; autoreconf --install;) \
	  fi; \
	  if [ -x $$d/configure ]; then \
	    (cd $$d; ./configure --prefix=/usr; $(MAKE) all;) \
	  else \
	    $(MAKE) -C $$d all; \
	  fi; \
	done

all_indep:
	for d in $(SUBDIRS_INDEP); do \
	  $(MAKE) -C $$d all; \
	done

all_firmware:
	for d in firmware kuttyPy/firmware microhope/firmware; do \
	  $(MAKE) -C $$d all; \
	done

clean_firmware: clean
	# clean the bootloader hex file
	make -C microhope/firmware clean

install: install_arch install_indep

install_arch:
	# for python3-expeyes
	if grep -Eq "Debian|Ubuntu" /etc/issue; then \
	  python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	else \
	  python3 setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	fi
	install -d $(DESTDIR)/lib/udev/rules.d/
	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
	# for expeyes
	install -d $(DESTDIR)/usr/share/expeyes
	cp -a eyes eyes17 $(DESTDIR)/usr/share/expeyes
	# icons
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-logo.png \
	  $(DESTDIR)/usr/share/icons/expeyes.png
	install -m 644 pixmaps/expeyes-junior-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/eyes17-logo.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/nuclear-icon.png \
	  $(DESTDIR)/usr/share/icons
	# desktop files
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/expeyes.desktop \
	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
	  desktop/expeyes-17.desktop \
	  $(DESTDIR)/usr/share/applications
	$(MAKE) -C po install DESTDIR=$(DESTDIR)
	# for expeyes-doc-common
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
	# subdirs stuff
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
	done
	# fix permissions in /usr/share/expeyes
	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
	# for expeyes-clib
	rm -f  $(DESTDIR)/usr/share/expeyes/clib
	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib

install_indep:
	for d in $(SUBDIRS_INDEP); do \
	  $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
	done


clean:
	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d distclean || $(MAKE) -C $$d clean; \
	done
	[ ! -d clib ] || (cd clib/expeyes-clib && sh clean-all.sh)


.PHONY: all all_arch all_indep all_firmware install install_arch install_indep clean clean_firmware

=== bin/Makefile ===
DESTDIR=
DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: expeyes.1 expeyes-junior.1 expeyes-17.1 \
  expeyes-doc.1 expeyes-progman-jr-doc.1

expeyes.1: expeyes-man.xml
	$(XP) $(DB2MAN) $<

expeyes-junior.1: expeyes-junior-man.xml
	$(XP) $(DB2MAN) $<

expeyes-17.1: eyes17-doc-man.xml
	$(XP) $(DB2MAN) $<

expeyes-doc.1: expeyes-doc.xml
	$(XP) $(DB2MAN) $<

expeyes-progman-jr-doc.1: expeyes-progman-jr-doc.xml
	$(XP) $(DB2MAN) $<

clean:
	rm -f *~

install:
	install -d $(DESTDIR)/usr/share/man/man1
	gzip -c9 expeyes.1 > $(DESTDIR)/usr/share/man/man1/expeyes.1.gz
	gzip -c9 expeyes-junior.1 > $(DESTDIR)/usr/share/man/man1/expeyes-junior.1.gz
	gzip -c9 expeyes-17.1 > $(DESTDIR)/usr/share/man/man1/expeyes-17.1.gz
	gzip -c9 expeyes-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-doc.1.gz
	ln -s expeyes-doc.1.gz $(DESTDIR)/usr/share/man/man1/expeyes-junior-doc.1.gz
	gzip -c9 expeyes-progman-jr-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-progman-jr-doc.1.gz
	install -d $(DESTDIR)/usr/bin
	install -m 755 expeyes $(DESTDIR)/usr/bin
	install -m 755 expeyes-junior $(DESTDIR)/usr/bin
	install -m 755 expeyes-17 $(DESTDIR)/usr/bin
	install -m 755 expeyes-doc $(DESTDIR)/usr/bin
	install -m 755 expeyes-progman-jr-doc $(DESTDIR)/usr/bin
	ln -s expeyes-doc $(DESTDIR)/usr/bin/expeyes-junior-doc

.PHONY: all clean install

=== eyesjunior/requirements.txt ===
#git+https://github.com/bashtage/sphinx-material
sphinx_materialdesign_theme

=== po/Makefile ===
DESTDIR =
SOURCES = $(shell ls ../eyes/*.py ../expeyes/*.py ../eyesjunior/*.py ../microhope/create-microhope-env ../microhope/*.py)
POFILES = $(shell ls *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

%.mo: %.po
	msgfmt --output-file=$@ $<

$(POFILES): messages.pot
	for f in $(POFILES); do \
	  msgmerge --update --previous $$f messages.pot; \
	done

messages.pot: $(SOURCES)
	if [ -f $@ ]; then \
	  xgettext --output=$@  --language=python --join-existing --keyword=_ --add-location $(SOURCES); \
	else \
	  xgettext --output=$@  --language=python --keyword=_ --add-location $(SOURCES); \
	fi

clean:
	rm -f *.mo *~

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/expeyes.mo; \
	done

.PHONY: all clean install

=== eyes17/helpFiles/Makefile ===
DESTDIR =
LANGUAGES_WITH_MANUAL = en es fr ml
LANGUAGES = $(shell find . -mindepth 1 -maxdepth 1 -type d | grep -Ev "pics|schematics|xcircuit|cache")
LANGUAGES_HTMLDONE = $(patsubst %, %/html-done, $(LANGUAGES))

LANGUAGES_PDFDONE = $(patsubst %, %/pdf-done, $(LANGUAGES_WITH_MANUAL))
LANGUAGES_EPUBDONE = $(patsubst %, %/epub-done, $(LANGUAGES_WITH_MANUAL))

# try to take a timestamp from ../../debian/changelog and if that fails
# replace by 1584377500, which is near 2020-1016 17:00 UTC
export SOURCE_DATE_EPOCH = $(shell dpkg-parsechangelog -l ../../debian/changelog -STimestamp 2>/dev/null || echo 1584377500)

all: fixTheLinks $(LANGUAGES_HTMLDONE)

fixTheLinks:
	./prepareHTML . $(LANGUAGES)

%/html-done: $(wildcard %/_sources/*.rst)
	l=$$(dirname $@); \
	[ -d $$l/_sources/_static ] || mkdir $$l/_sources/_static; \
	echo "====| RST => HTML for language $$l |===="; \
	$(MAKE) -C $$l all; \
	date > $@

userManual: $(LANGUAGES_PDFDONE) $(LANGUAGES_EPUBDONE)

%/pdf-done: $(wildcard %/_sources/*.rst)
	l=$$(dirname $@); \
	echo "====| RST => PDF for language $$l |===="; \
	$(MAKE) -C $$l latexpdf; \
	date > $@

%/epub-done: $(wildcard %/_sources/*.rst)
	l=$$(dirname $@); \
	echo "====| RST => EPUB for language $$l |===="; \
	$(MAKE) -C $$l epub; \
	date > $@


clean:
	rm -rf cache/
	for l in $(LANGUAGES); do \
	  rm -f $$l/pdf-done $$l/html-done $$l/epub-done; \
	  rm -rf $$l/_sources/__pycache__; \
	  $(MAKE) -C $$l clean; \
	done

install: all
	mkdir -p $(DESTDIR)/usr/share/eyes17/helpFiles
	cp -a $(LANGUAGES) pics schematics $(DESTDIR)/usr/share/eyes17/helpFiles

.PHONY: all clean install userManual fixTheLinks

=== eyes17/lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*py ../code/*.py)
FORMS = $(shell ls ../layouts/*.ui)
PYLUPDATE ?= pylupdate5
export LANG=C

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 eyes17.pro > lrelease.log
	python3 makeStats.py lrelease.log

$(TS_FILES): eyes17.pro
	$(PYLUPDATE) eyes17.pro

eyes17.pro: $(SOURCES)
	@echo "# GENERATED FILE, DO NOT EDIT" > $@
	@echo "SOURCES = $(SOURCES)" >> $@
	@echo "FORMS = $(FORMS)" >> $@
	@echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) eyes17.pro lrelease.log *.svg status.txt

install:

.PHONY: all clean install

=== eyesjunior/lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*py ../code/*.py)
FORMS = $(shell ls ../layouts/*.ui)
PYLUPDATE ?= pylupdate5

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 eyesj.pro

$(TS_FILES): eyesj.pro
	$(PYLUPDATE) eyesj.pro

eyesj.pro: $(SOURCES)
	echo "# GENERATED FILE, DO NOT EDIT" > $@
	echo "SOURCES = $(SOURCES)" >> $@
	echo "FORMS = $(FORMS)" >> $@
	echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) eyesj.pro

install:

.PHONY: all clean install

=== microhope/firmware/Makefile ===
# Makefile for ATmegaBOOT
# E.Lins, 18.7.2005
# $Id$
#
# Instructions
#
# To make bootloader .hex file:
# make diecimila
# make lilypad
# make ng
# etc...
#
# To burn bootloader .hex file:
# make diecimila_isp
# make lilypad_isp
# make ng_isp
# etc...

# program name should not be changed...
PROGRAM    = Bootloader

# enter the parameters for the avrdude isp tool
ISPTOOL	   = avrisp2
ISPPORT	   = /dev/tty.PL2303-00001004
ISPSPEED   = -b 115200

MCU_TARGET = atmega168
LDSECTION  = --section-start=.text=0x3800

# the efuse should really be 0xf8; since, however, only the lower
# three bits of that byte are used on the atmega168, avrdude gets
# confused if you specify 1's for the higher bits, see:
# http://tinker.it/now/2007/02/24/the-tale-of-avrdude-atmega168-and-extended-bits-fuses/
#
# similarly, the lock bits should be 0xff instead of 0x3f (to
# unlock the bootloader section) and 0xcf instead of 0x0f (to
# lock it), but since the high two bits of the lock byte are
# unused, avrdude would get confused.

ISPFUSES    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-e -u -U lock:w:0x3f:m  -U hfuse:w:0x$(HFUSE):m -U lfuse:w:0x$(LFUSE):m
# -U efuse:w:0x$(EFUSE):m
ISPFLASH    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-U flash:w:$(PROGRAM)_$(TARGET).hex -U lock:w:0x0f:m

STK500 = "C:\Program Files\Atmel\AVR Tools\STK500\Stk500.exe"
STK500-1 = $(STK500) -e -d$(MCU_TARGET) -pf -vf -if$(PROGRAM)_$(TARGET).hex \
-lFF -LFF -f$(HFUSE)$(LFUSE) -EF8 -ms -q -cUSB -I200kHz -s -wt
STK500-2 = $(STK500) -d$(MCU_TARGET) -ms -q -lCF -LCF -cUSB -I200kHz -s -wt


OBJ        = $(PROGRAM).o
OPTIMIZE   = -O2

DEFS       = 
LIBS       =

CC         = avr-gcc

# Override is only needed by avr-lib build system.

override CFLAGS        = -g -Wall $(OPTIMIZE) -mmcu=$(MCU_TARGET) -DF_CPU=$(AVR_FREQ) $(DEFS)
override LDFLAGS       = -Wl,$(LDSECTION)
#override LDFLAGS       = -Wl,-Map,$(PROGRAM).map,$(LDSECTION)

OBJCOPY        = avr-objcopy
OBJDUMP        = avr-objdump

all: atmega32

lilypad: TARGET = lilypad
lilypad: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
lilypad: AVR_FREQ = 8000000L
lilypad: $(PROGRAM)_lilypad.hex

lilypad_isp: lilypad
lilypad_isp: TARGET = lilypad
lilypad_isp: HFUSE = DD
lilypad_isp: LFUSE = E2
lilypad_isp: EFUSE = 00
lilypad_isp: isp

lilypad_resonator: TARGET = lilypad_resonator
lilypad_resonator: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=3'
lilypad_resonator: AVR_FREQ = 8000000L
lilypad_resonator: $(PROGRAM)_lilypad_resonator.hex

lilypad_resonator_isp: lilypad_resonator
lilypad_resonator_isp: TARGET = lilypad_resonator
lilypad_resonator_isp: HFUSE = DD
lilypad_resonator_isp: LFUSE = C6
lilypad_resonator_isp: EFUSE = 00
lilypad_resonator_isp: isp

pro8: TARGET = pro_8MHz
pro8: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro8: AVR_FREQ = 8000000L
pro8: $(PROGRAM)_pro_8MHz.hex

pro8_isp: pro8
pro8_isp: TARGET = pro_8MHz
pro8_isp: HFUSE = DD
pro8_isp: LFUSE = C6
pro8_isp: EFUSE = 00
pro8_isp: isp

pro16: TARGET = pro_16MHz
pro16: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro16: AVR_FREQ = 16000000L
pro16: $(PROGRAM)_pro_16MHz.hex

pro16_isp: pro16
pro16_isp: TARGET = pro_16MHz
pro16_isp: HFUSE = DD
pro16_isp: LFUSE = C6
pro16_isp: EFUSE = 00
pro16_isp: isp

pro20: TARGET = pro_20mhz
pro20: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro20: AVR_FREQ = 20000000L
pro20: $(PROGRAM)_pro_20mhz.hex

pro20_isp: pro20
pro20_isp: TARGET = pro_20mhz
pro20_isp: HFUSE = DD
pro20_isp: LFUSE = C6
pro20_isp: EFUSE = 00
pro20_isp: isp

diecimila: TARGET = diecimila
diecimila: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1'
diecimila: AVR_FREQ = 16000000L 
diecimila: $(PROGRAM)_diecimila.hex

diecimila_isp: diecimila
diecimila_isp: TARGET = diecimila
diecimila_isp: HFUSE = DD
diecimila_isp: LFUSE = FF
diecimila_isp: EFUSE = 00
diecimila_isp: isp

ng: TARGET = ng
ng: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
ng: AVR_FREQ = 16000000L
ng: $(PROGRAM)_ng.hex

ng_isp: ng
ng_isp: TARGET = ng
ng_isp: HFUSE = DD
ng_isp: LFUSE = FF
ng_isp: EFUSE = 00
ng_isp: isp

atmega328: TARGET = atmega328
atmega328: MCU_TARGET = atmega328p
atmega328: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' -DBAUD_RATE=57600
atmega328: AVR_FREQ = 16000000L 
atmega328: LDSECTION  = --section-start=.text=0x7800
atmega328: $(PROGRAM)_atmega328.hex

atmega328_isp: atmega328
atmega328_isp: TARGET = atmega328
atmega328_isp: MCU_TARGET = atmega328p
atmega328_isp: HFUSE = DA
atmega328_isp: LFUSE = FF
atmega328_isp: EFUSE = 05
atmega328_isp: isp

atmega32: TARGET = atmega32
atmega32: MCU_TARGET = atmega32
atmega32: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' 
atmega32: AVR_FREQ = 8000000L 
atmega32: LDSECTION  = --section-start=.text=0x7800
atmega32: $(PROGRAM)_atmega32.hex

atmega32_isp: atmega32
atmega32_isp: TARGET = atmega32
atmega32_isp: MCU_TARGET = atmega32
atmega32_isp: HFUSE = DA
atmega32_isp: LFUSE = FF
atmega32_isp: isp


isp: $(TARGET)
	$(ISPFUSES)
	$(ISPFLASH)

isp-stk500: $(PROGRAM)_$(TARGET).hex
	$(STK500-1)
	$(STK500-2)

%.elf: $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf *.o *.elf *.lst *.map *.sym *.lss *.eep *.srec *.bin *.hex

%.lst: %.elf
	$(OBJDUMP) -h -S $< > $@

%.hex: %.elf
	$(OBJCOPY) -j .text -j .data -O ihex $< $@

%.srec: %.elf
	$(OBJCOPY) -j .text -j .data -O srec $< $@

%.bin: %.elf
	$(OBJCOPY) -j .text -j .data -O binary $< $@

=== microhope/microhope-doc/Makefile ===
DESTDIR =
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING = LaTeX Warning: Label(s) may have changed. Rerun
DOCDIR = $(DESTDIR)/usr/share/microhope/doc

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all:

touch-existing-pdf:
	for f in $$(ls *.pdf); do touch $$f; done

manpages: ../create-microhope-env.1 ../microhope.1 microhope-doc.1 ../uhope.1

../create-microhope-env.1: ../create-microhope-env.xml
	cd ..; $(XP) $(DB2MAN) create-microhope-env.xml

../microhope.1: ../microhope.xml
	cd ..; $(XP) $(DB2MAN) microhope.xml

../uhope.1: ../uhope.xml
	cd ..; $(XP) $(DB2MAN) uhope.xml

microhope-doc.1: microhope-doc.xml
	$(XP) $(DB2MAN) $<

microhope-en.pdf: $(PDFS)
	cp microhope.pdf $@

install: all
	mkdir -p $(DOCDIR)
	install -m 644 microhope-en.pdf  $(DOCDIR)/

%.pdf: %.lyx
	@echo -n "Exporting $< to a LaTeX file ... "
	@lyx -e latex -userdir . $< >/dev/null 2>&1
	@echo Done.
	@echo -n "Running PDFLaTeX"
	@ok=0; lyxfile=$<; \
	logfile=$$(echo $${lyxfile} | sed 's/\.lyx/.log/'); \
	texfile=$$(echo $${lyxfile} | sed 's/\.lyx/.tex/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	[ -f ../../keep-expeyes-tex ] || rm -f *.tex
	rm -rf *~ *.aux *.log *.toc *.lof *.lst cache lyxrc.*

distclean: clean
	[ -e ../../keep-expeyes-docs  ] || rm -f $(PDFS) microhope-*.pdf
	rm -f pics/*.eps

.PHONY: clean distclean all manpages install touch-existing-pdf

=== microhope/po/Makefile ===
DESTDIR = 

SRCFILES = ../uhope.c ../mh-ide.py
POFILES = $(shell ls *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG    = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

$(POFILES): messages.pot

%.mo: %.po
	msgfmt $< -o $@

messages.pot: $(SRCFILES)
	if [ -f $@ ]; then \
	  xgettext --keyword=N_ --keyword=_ -o $@ $(SRCFILES) --join-existing; \
	else \
	  xgettext --keyword=N_ --keyword=_ -o $@ $(SRCFILES); \
	fi

clean:
	rm -f *~ *.mo

$(POFILES): messages.pot
	msgmerge --update --previous $@ $<

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/uhope.mo; \
	done

.PHONY: all install clean

=== debian/control ===
--- 
+++ 
@@ -56,8 +56,7 @@
  python3-serial
 Recommends: fonts-lohit-mlym,
  libreoffice
-Conflicts: modemmanager,
- python3-expeyes (<< 4.5.8+dfsg-2),
+Conflicts: python3-expeyes (<< 4.5.8+dfsg-2),
  python-expeyes (<< 4.5.8+dfsg-2),
  eyes17 (<< 4.5.8+dfsg-2)
 Description: hardware & software framework for developing science experiments
@@ -121,8 +120,8 @@
 Architecture: all
 Depends: python3, ${misc:Depends}, ${python3:Depends},
  python3-scipy, python3-serial (>= 2.6), udev
-Conflicts: modemmanager,
- python-expeyes, python3-expeyes (<< 4.3)
+Conflicts: python-expeyes,
+ python3-expeyes (<< 4.3)
 Replaces: python-expeyes
 Description: Python3 library for expeyes
  This package provides low level interfaces for making science experiments
@@ -158,7 +157,6 @@
  avr-libc,
  avrdude
 Suggests: firm-phoenix-ware
-Conflicts: modemmanager, microhope-dbgsym(<<4.6.0-3)
 Description: hardware & software framework to learn microcontrollers
  This package provides a set of example programs to drive an ATmega32
  microcontroller, together with a tutorqial explaining how to compile

=== debian/rules ===
--- 
+++ 
@@ -20,23 +20,25 @@
 %:
 	dh $@ --with python3
 
-HOME = $(CURDIR)/debian/build
+BUILD_DIR = $(CURDIR)/debian/build
 override_dh_auto_build-arch:
 	mkdir $(CURDIR)/debian/build
-	$(MAKE) all_arch HOME=$(HOME)
+	$(MAKE) all_arch HOME=$(BUILD_DIR)
 	rm -rf $(CURDIR)/debian/build
 
 override_dh_auto_build-indep:
 	$(MAKE) all_indep
+	cd eyes17/helpFiles; $(MAKE) fixTheLinks; $(MAKE) userManual
 
 override_dh_auto_clean:
 	dh_auto_clean
 	# the clean process compiles a few Python scripts
 	find . -name __pycache__ | xargs rm -rf
-	rm -rf $(HOME)
+	rm -rf $(BUILD_DIR)
+	# remove broken symlinks which can be in the source
+	find eyes17/helpFiles -xtype l | xargs rm -f
 
-DocDir = $(CURDIR)/debian/eyes17/usr/share/expeyes/doc
-DocDirSource = $(CURDIR)/ExpEYES17/UserManual
+DOCDIR_17 = debian/eyes17/usr/share/eyes17/doc
 
 override_dh_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
@@ -44,9 +46,21 @@
 	dh_install
 	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
 	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
-	# remove python files from helpFiles subdirectory
+	# remove python files .gitignore, and doctrees from helpFiles subdirectory
 	for d in $$(find $(CURDIR)/debian -type d -name helpFiles); do \
-	  for f in $$(find $$d -name '*.py'); do \
+	  for f in $$(find $$d -name '*.py' -o -name '.gitignore'); do \
 	    rm -f $$f; \
 	  done; \
+	  for f in $$(find $$d -type d -name 'doctrees'); do \
+	    rm -rf $$f; \
+	  done; \
 	done
+	# install eyes17 documents
+	for lang in en fr es ml; do \
+	  mkdir -p $(DOCDIR_17)/$${lang}; \
+	  for ext in pdf epub; do \
+	    cp $$(find eyes17/helpFiles/$${lang} -name expEYES-17.$${ext}) \
+	       $(DOCDIR_17)/$${lang}/eyes17.$${ext}; \
+	  done; \
+	done
+

## expeyes 5.1.1+repack

=== eyes17/lang/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 DESTDIR =
-TS_FILES = $(shell ls *.ts)
+TS_FILES = $(wildcard *.ts)
 QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
-SOURCES = $(shell ls ../*py ../code/*.py)
-FORMS = $(shell ls ../layouts/*.ui)
+SOURCES = $(wildcard ../*py ../code/*.py)
+FORMS = $(wildcard ../layouts/*.ui)
+# pylupdate6 cannot tale a .pro file
 PYLUPDATE ?= pylupdate5
 export LANG=C
 
@@ -24,7 +25,9 @@
 clean:
 	rm -f *~ $(QM_FILES) eyes17.pro lrelease.log *.svg status.txt
 
-install:
+install: all
+	install -d $(DESTDIR)/usr/share/eyes17/lang
+	install -m 644 $(QM_FILES) status.txt $(DESTDIR)/usr/share/eyes17/lang
 
 .PHONY: all clean install

=== eyes17/layouts/Makefile ===
PYUIC?=pyuic6
PYRCC?=pyrcc5
PY_VERSION ?= 3

UI_FILES = $(wildcard *.ui)
RC_FILES = $(wildcard *.qrc)

UI_COMPILED = $(patsubst %.ui, ui_%.py, $(UI_FILES))
RC_COMPILED = $(patsubst %.qrc, %_rc.py, $(RC_FILES))

ifeq ($(PY_VERSION),3)
	ifneq (,$(findstring pyrcc4,$(PYRCC)))
		override PYRCC += -py3
	endif
endif
$(info PYRCC=$(PYRCC))

 
all: $(UI_COMPILED) $(RC_COMPILED)

install:
	echo "Nothing to install, except when a debian package is built;"
	echo "then the install will be managed by the packaging system."

clean:
	rm -f $(UI_COMPILED) $(RC_COMPILED)
	rm -rf *.pyc *~ __pycache__

ui_%.py:  %.ui
	$(PYUIC) $< -o $@


%_rc.py: %.qrc
	$(PYRCC) $< -o $@

.PHONY: all clean install

=== microhope/uhope/po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DESTDIR = 
 
-SRCFILES = $(shell ls ../*.py)
-POFILES = $(shell ls *.po)
+SRCFILES = $(wildcard ../*.py)
+POFILES = $(wildcard *.po)
 MOFILES = $(patsubst %.po, %.mo, $(POFILES))
 LANG    = $(patsubst %.po, %, $(POFILES))

=== debian/changelog ===
expeyes (5.1.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1.1+repack
  * refreshed the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jul 2022 11:01:19 +0200

expeyes (5.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1+repack
  * updated the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Jul 2022 15:53:57 +0200

expeyes (5.0+repack-3) experimental; urgency=medium

  * the package eyes17 does no longer ship user manuals,
    which will be built in a separate package: eyes17-manuals
  * modified the main Makefile to build no longer eyes17's user manuals

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Jul 2022 19:30:56 +0200

expeyes (5.0+repack-2) experimental; urgency=medium

  * fixed the installation of manuals which does not work in test-build-any
  * moved python3-pyqtgraph to recommends.
  * added "Suggests: eyes17-manuals" (for a future package providing manuals)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Jul 2022 14:46:12 +0200

expeyes (5.0+repack-1) experimental; urgency=medium

  * New upstream version 5.0+repack
  * removed previous release's debian patches as they were applied upstream
  * fixed the generation of plain HTML files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Jul 2022 19:15:04 +0200

expeyes (4.99+repack-1) experimental; urgency=medium

  * New upstream version 4.99+repack
    + migration to Qt6 & non-exhaustive bug fixes
  * Added build-dependencies: locales, pyqt6-dev-tools, qmake6,
    python3-sphinx, texlive-binaries, texlive-xetex, texgyre, latexmk,
    dvipng, librsvg2-bin, graphicsmagick,
    texlive-fonts-recommended, texlive-fonts-extra, fonts-smc-rachana
  * Modified eyes17's dependencies, introducing new ones: python3-pyqt6,
    python3-pyqt6.qtwebchannel,  python3-pyqt6.qtwebengine,
    libqt6webenginecore6-bin,  python3-pyqt6.qtsvg, qt6-qpa-plugins
  * Bumped Standards-Version: 4.6.1
  * fixed the options for babel in prettyLatex.py
  * modified the way to convert PNG files to PDF (use `gm convert` now on)
  * fixed syntax errors in eyes17/RLCsteadystate.py
  

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Jul 2022 20:02:29 +0200

expeyes (4.9.2+repack-3) unstable; urgency=medium

  * fixed float values which were fed into QPoint's constructor

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Jul 2022 18:25:34 +0200

expeyes (4.9.2+repack-2) unstable; urgency=medium

  * fixed layout issues for eyes17
  * fixed conflicts between packages expeyes and expeyes-doc-common

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Mar 2022 18:57:41 +0100

expeyes (4.9.2+repack-1) unstable; urgency=medium

  * New upstream version 4.9.2+repack. Closes: #1006902

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 25 Mar 2022 11:43:24 +0100

expeyes (4.9.0+repack-1) UNRELEASED; urgency=medium

  * New upstream version 4.9.0+repack. Closes: #1006902
  * fixed debian/rules: erased a useless rm command
  * use img2pdf instead of imagemagick to convert images
  * bumped standards
  * modified install files, as dh_missing was complaining about many
    files incorrectly managed.
  * reorganized install files since binary packages for documents are no
    longer separated.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 Mar 2022 19:00:05 +0100

expeyes (4.8.10+repack-1) UNRELEASED; urgency=medium

  * new upstream version: fixes eyes/*.py files to use Python3
    Closes: #1006902

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 19 Mar 2022 19:51:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,28 @@
 Section: science
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
  python3-all,
  dh-python,
  python3-docutils,
  pkg-config,
  wxglade,
- x11proto-randr-dev (>= 1.5.0),
+ x11proto-randr-dev,
+ pyqt6-dev-tools,
  pyqt5-dev-tools,
- qttools5-dev-tools,
- qt5-qmake
-Standards-Version: 4.5.0
+ qmake6,
+ img2pdf,
+ locales,
+Standards-Version: 4.6.1
 Homepage: http://expeyes.in/
 Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
 Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git
 
 Package: expeyes
 Architecture: all
-Depends: python3, ${misc:Depends}, ${python3:Depends},
+Depends: python3,
+ ${misc:Depends},
+ ${python3:Depends},
  python3-expeyes (= ${source:Version}),
  python3-pil.imagetk,
  tix,  python3-tk, udev
@@ -46,16 +50,20 @@
 Depends: python3,
  ${misc:Depends},
  ${python3:Depends},
- python3-pyqtgraph,
- python3-pyqt5,
- python3-pyqt5.qtwebkit,
+ python3-pyqt6,
  python3-numpy,
  python3-scipy,
- python3-pyqt5.qtwebengine,
- python3-pyqt5.qtsvg,
+ python3-pyqt6.qtwebchannel,
+ python3-pyqt6.qtwebengine,
+ libqt6webenginecore6-bin,
+ python3-pyqt6.qtsvg,
+ qt6-qpa-plugins,
  python3-serial
 Recommends: fonts-lohit-mlym,
+ python3-pyqtgraph,
  libreoffice
+Suggests:
+ eyes17-manuals-en|eyes17-manuals
 Conflicts: python3-expeyes (<< 4.5.8+dfsg-2),
  python-expeyes (<< 4.5.8+dfsg-2),
  eyes17 (<< 4.5.8+dfsg-2)
